Index: generic/include/mm/as.h
===================================================================
--- generic/include/mm/as.h	(revision 12f73fe68507423d8523743c3d4eab7a90d2b397)
+++ generic/include/mm/as.h	(revision e18cf3d2c00cddd79eafdc91fef81dc3df0667d5)
@@ -39,5 +39,4 @@
 #ifdef KERNEL
 
-#include <mm/as_arg.h>
 #include <arch/mm/page.h>
 #include <arch/mm/as.h>
@@ -129,10 +128,9 @@
 extern int as_area_resize(as_t *as, __address address, size_t size, int flags);
 extern int as_area_destroy(as_t *as, __address address);
-int as_area_send(task_id_t dst_id, __address base);
 extern void as_set_mapping(as_t *as, __address page, __address frame);
 extern int as_page_fault(__address page, istate_t *istate);
 extern void as_switch(as_t *old, as_t *new);
 extern void as_free(as_t *as);
-int as_area_steal(task_t *src_task, __address src_base, size_t acc_size, __address dst_base);
+extern int as_area_steal(task_t *src_task, __address src_base, size_t acc_size, __address dst_base);
 extern size_t as_get_size(__address base);
 
Index: neric/include/mm/as_arg.h
===================================================================
--- generic/include/mm/as_arg.h	(revision 12f73fe68507423d8523743c3d4eab7a90d2b397)
+++ 	(revision )
@@ -1,55 +1,0 @@
-/*
- * Copyright (C) 2006 Jakub Jermar
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-#ifndef __AS_ARG_H__
-#define __AS_ARG_H__
-
-/** Structure passed by SYS_AS_AREA_ACCEPT and SYS_AS_AREA_SEND syscalls. */
-typedef struct {
-	/**
-	 * Task ID of the allowed sender in case of SYS_AS_AREA_ACCEPT
-	 * or task ID of the recipient in case of SYS_AS_AREA_SEND.
-	 * @task_id must be different for corresponding SYS_AS_AREA_ACCEPT
-	 * and SYS_AS_AREA_SEND.
-	 */
-	unsigned long long task_id;
-	
-	/**
-	 * Destination address in case of SYS_AS_AREA_ACCEPT,
-	 * source address in case of SYS_AS_AREA_SEND.
-	 */
-	void *base;
-	
-	/*
-	 * The following members are filled only by acceptor.
-	 */
-	unsigned long size;	/**< Size of memory being sent/accepted must match. */
-	int flags;		/**< Address space area flags of sender and acceptor must match. */
-} as_area_acptsnd_arg_t;
-
-#endif
Index: generic/include/proc/task.h
===================================================================
--- generic/include/proc/task.h	(revision 12f73fe68507423d8523743c3d4eab7a90d2b397)
+++ generic/include/proc/task.h	(revision e18cf3d2c00cddd79eafdc91fef81dc3df0667d5)
@@ -36,5 +36,4 @@
 #include <ipc/ipc.h>
 #include <security/cap.h>
-#include <mm/as_arg.h>
 #include <arch/proc/task.h>
 
@@ -53,7 +52,4 @@
 	phone_t phones[IPC_MAX_PHONES];
 	atomic_t active_calls;  /**< Active asynchronous messages */
-	
-	/** Accept argument of SYS_AS_AREA_ACCEPT. */
-	as_area_acptsnd_arg_t accept_arg;
 	
 	task_arch_t arch;	/**< Architecture specific task data. */
Index: generic/src/mm/as.c
===================================================================
--- generic/src/mm/as.c	(revision 12f73fe68507423d8523743c3d4eab7a90d2b397)
+++ generic/src/mm/as.c	(revision e18cf3d2c00cddd79eafdc91fef81dc3df0667d5)
@@ -961,3 +961,2 @@
 	return (__native) as_area_destroy(AS, address);
 }
-
Index: generic/src/proc/task.c
===================================================================
--- generic/src/proc/task.c	(revision 12f73fe68507423d8523743c3d4eab7a90d2b397)
+++ generic/src/proc/task.c	(revision e18cf3d2c00cddd79eafdc91fef81dc3df0667d5)
@@ -37,5 +37,4 @@
 #include <proc/uarg.h>
 #include <mm/as.h>
-#include <mm/as_arg.h>
 #include <mm/slab.h>
 #include <synch/spinlock.h>
@@ -104,6 +103,4 @@
 		ipc_phone_connect(&ta->phones[0], ipc_phone_0);
 	atomic_set(&ta->active_calls, 0);
-	
-	memsetb((__address) &ta->accept_arg, sizeof(as_area_acptsnd_arg_t), 0);
 	
 	ipl = interrupts_disable();
